no bug; fix configure.in message on Android to not be lies and give useful info; r=sparky
authorVladimir Vukicevic <vladimir@pobox.com>
Tue, 13 Nov 2012 14:20:54 -0500
changeset 117756 1c065e36b49d3c7150e13ca6d8df9c9b42daceaf
parent 117755 ff55fe9e1120f8f01ea2899ec39747eb053196c2
child 117757 419e74e5f2d729dd9ea29c3da39ea5f3a03fe7fc
push idunknown
push userunknown
push dateunknown
reviewerssparky
milestone19.0a1
no bug; fix configure.in message on Android to not be lies and give useful info; r=sparky
build/autoconf/android.m4
--- a/build/autoconf/android.m4
+++ b/build/autoconf/android.m4
@@ -247,15 +247,15 @@ case "$target" in
         ANDROID_COMPAT_LIB="${android_sdk}/../../extras/android/compatibility/v4/android-support-v4.jar"
     else
         ANDROID_COMPAT_LIB="${android_sdk}/../../extras/android/support/v4/android-support-v4.jar";
     fi
     ANDROID_PLATFORM_TOOLS="${android_platform_tools}"
     AC_SUBST(ANDROID_SDK)
     AC_SUBST(ANDROID_COMPAT_LIB)
     if ! test -e $ANDROID_COMPAT_LIB ; then
-        AC_MSG_ERROR([You must download the andrioid support library when targeting Android. See https://developer.android.com/tools/extras/support-library.html])
+        AC_MSG_ERROR([You must download the Android support library when targeting Android.   Run the Android SDK tool and install Android Support Library under Extras.  See https://developer.android.com/tools/extras/support-library.html for more info. (looked for $ANDROID_COMPAT_LIB)])
     fi
     AC_SUBST(ANDROID_PLATFORM_TOOLS)
     ;;
 esac
 
 ])